/* -*- coding: utf8 -*-                              äöüß ΔΩ        */
/* Special characters above ensure UTF-8 encoding in VisualStudio.  */
/** 
@file         \$Source: $
@copyright    (c) Rohde & Schwarz GmbH & Co. KG, Munich
@version      \$Revision: $
*
@author       %USERNAME%
@responsible  \$Author: $
*
@language     C++
*
@description  
@see          
*
@history
*  \$Log: $
*
*******************************************************************************
******************************************************************************/

#ifndef SGMACMDIDS_H
#define SGMACMDIDS_H


#define SgsDriverVersion 4
// History:
// --------
// Version 2: 
// initial version

// Version 3: 
// added IdSgsIqWidebandState 
// incompatible to version 2


#define SguDriverVersion 0
// History:
// --------
// Version 0: 
// initial version


#define SgtDriverVersion 1
// History:
// --------
// Version 0: 
// initial version
// Version 1: 
// added IdSgtArbSegmNextExec  path b 
// and   IdSgtArbSegmNext path a and b     


#define SgmaDriverVersion (SgsDriverVersion + (SguDriverVersion << 4) + (SgtDriverVersion << 8))  


#define IdDriverVersion 0

#define IdSgsBase 0
#define IdSgsFreq             (IdSgsBase + 1)
#define IdSgsPow              (IdSgsBase + 2)
#define IdSgsRfState          (IdSgsBase + 3)
#define IdSgsModState         (IdSgsBase + 4)
#define IdSgsIqWidebandState  (IdSgsBase + 5)

#define IdSguBase 32
#define IdSguFreq             (IdSguBase + 1)
#define IdSguPow              (IdSguBase + 2)
#define IdSguRfState          (IdSguBase + 3)
#define IdSguModState         (IdSguBase + 4)
#define IdSguCrestfact        (IdSguBase + 5)
#define IdSguHostFreq         (IdSguBase + 6)
#define IdSguHostPow          (IdSguBase + 7)
#define IdSguApplySettings    (IdSguBase + 8)


#define IdSgtBase 64
#define IdSgtFreq             (IdSgtBase + 1)
#define IdSgtPow              (IdSgtBase + 2)
#define IdSgtRfState          (IdSgtBase + 3)
#define IdSgtModState         (IdSgtBase + 4)
#define IdSgtIqWidebandState  (IdSgtBase + 5)
#define IdSgtReserved         (IdSgtBase + 6)
#define IdSgtPowAttDig        (IdSgtBase + 7)
#define IdSgtFreqOffsUnicod   (IdSgtBase + 8)
#define IdSgtPhasOffsUnicod   (IdSgtBase + 9)
#define IdSgtArbTrigExec      (IdSgtBase + 10)
#define IdSgtArbSegmNextExec  (IdSgtBase + 11)
//#define IdSgtArbSegmNextExec  (IdSgtBase + 12) Path B
#define IdSgtArbSegmNext      (IdSgtBase + 13)
//#define IdSgtArbSegmNext      (IdSgtBase + 14) Path B







#endif /*SGMACMDIDS_H */
/*****************************************************************************/
/* END OF FILE                                                               */
/*****************************************************************************/
